Name: bomberclone
Version: 0.11.3
Release: alt2

Summary: BomberClone is a Puzzle game clone of bomberman
License: GPL
Url: http://www.bomberclone.de
Group: Games/Arcade
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.xpm
Patch: %name.patch

Obsoletes: %name-data
Provides: %name-data

# Automatically added by buildreq on Sat Feb 07 2004
BuildRequires: XFree86-devel XFree86-libs esound libSDL-devel 
BuildRequires: libSDL_image-devel libSDL_mixer-devel

%description
Clone of bomberman. The goal of the game is to be the last one, 
who is alive. You can drop bombs which will explode after a certain 
time and destroy everything in horizontal and vertical direction.
So you can remove stones or kill other players. But take care.
Don't kill yourself otherwise the game will be over for you.
During the game you will find differnent powerups to raise your skills.
If you are running faster than your opponent and you have many bombs,
you can catch him within lots of bombs and he has no chance to escape.
Your will get points for every player you have killed. If you win the game,
you can earn additional points depending on how many players played the game.

%prep
%setup -q
%patch -p0
%configure --prefix=%buildroot%prefix

%build
%make_build

%install
%__mkdir_p %buildroot%_gamesdatadir/%name
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%_bindir/*
%_menudir/*
%_datadir/pixmaps/*
%_gamesdatadir/%name
%_includedir/%name

%changelog
* Tue Jul 13 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.11.3-alt2
- new menu group Amusement/Arcade

* Fri Jun 18 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.11.3-alt1
- 0.11.3

* Mon Feb 9 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.11.2-alt1
- 0.11.2

* Tue Feb 3 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.11.1-alt1
- 0.11.1
- added deathmatch mode
- added kick bombs special
- fixed major networking and packet handling problem

* Sat Jan 10 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.11.0-alt2
- rebuild

* Wed Jan 7 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.11.0-alt1
- 0.11.0

* Mon Sep 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.10.1-alt1
- 0.10.1

* Tue Jul 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.10.0-alt1
- 0.10.0

* Fri Jun 13 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Sun May 18 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.8-alt1
- First version of RPM package.
